Projects
Fetches a Project
Fetch a registered project.
GET
/
api
/
v1
/
projects
/
{id}
Fetches a Project
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/projects/{id}import requests
url = "https://mycluster.domino.tech/flows/api/v1/projects/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/projects/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/projects/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/projects/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/projects/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"description": "<string>",
"domains": [
{
"id": "<string>",
"name": "<string>"
}
],
"id": "<string>",
"labels": {
"values": {}
},
"name": "<string>",
"org": "<string>",
"state": "ACTIVE"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Indicates a unique project. +required
Query Parameters
Optional, org key applied to the resource.
Response
A successful response.
Top-level namespace used to classify different entities like workflows and executions.
Show child attributes
Show child attributes
Globally unique project name.
Label values to be applied to an execution resource. In the future a mode (e.g. OVERRIDE, APPEND, etc) can be defined to specify how to merge labels defined at registration and execution time.
Show child attributes
Show child attributes
Display name.
Optional, org key applied to the resource.
The state of the project is used to control its visibility in the UI and validity.
- ACTIVE: By default, all projects are considered active.
- ARCHIVED: Archived projects are no longer visible in the UI and no longer valid.
- SYSTEM_GENERATED: System generated projects that aren't explicitly created or managed by a user.
- SYSTEM_ARCHIVED: System archived projects that aren't explicitly archived by a user.
Available options:
ACTIVE, ARCHIVED, SYSTEM_GENERATED, SYSTEM_ARCHIVED Last modified on August 19, 2026
Was this page helpful?
⌘I
Fetches a Project
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/projects/{id}import requests
url = "https://mycluster.domino.tech/flows/api/v1/projects/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/projects/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/projects/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/projects/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/projects/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"description": "<string>",
"domains": [
{
"id": "<string>",
"name": "<string>"
}
],
"id": "<string>",
"labels": {
"values": {}
},
"name": "<string>",
"org": "<string>",
"state": "ACTIVE"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}